Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 20-09-2021 19:00:57

bartaba
Membre
Distrib. : Debian Buster
Noyau : Linux 4.19.0-13-amd64
(G)UI : Mate
Inscription : 04-02-2014

Installer fastboot

Bonjour
J'ai besoin de fastboot pour faire des manipulations sur mon téléphone.
J'ai fait des recherches et trouvé cette page : https://linuxconfig.org/how-to-install- … -10-buster

J'ai fait une simulation de la commande qu'ils indiquent, et je vois que ça installe sqlite3, ce qui m'étonne beaucoup

sudo apt -s install android-tools-adb android-tools-fastboot
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Les paquets supplémentaires suivants seront installés :
  adb android-libadb android-libbacktrace android-libbase android-libboringssl
  android-libcrypto-utils android-libcutils android-libetc1
  android-libf2fs-utils android-liblog android-libsparse android-libunwind
  android-libutils android-libziparchive android-sdk-platform-tools
  android-sdk-platform-tools-common dmtracedump etc1tool f2fs-tools fastboot
  graphviz hprof-conv libcdt5 libcgraph6 libf2fs-format4 libf2fs5 libgts-0.7-5
  libgts-bin libgvc6 libgvpr2 liblab-gamut1 libpathplan4 libxdot4 sqlite3
Paquets suggérés :
  graphviz-doc sqlite3-doc
Les NOUVEAUX paquets suivants seront installés :
  adb android-libadb android-libbacktrace android-libbase android-libboringssl
  android-libcrypto-utils android-libcutils android-libetc1
  android-libf2fs-utils android-liblog android-libsparse android-libunwind
  android-libutils android-libziparchive android-sdk-platform-tools
  android-sdk-platform-tools-common android-tools-adb android-tools-fastboot
  dmtracedump etc1tool f2fs-tools fastboot graphviz hprof-conv libcdt5
  libcgraph6 libf2fs-format4 libf2fs5 libgts-0.7-5 libgts-bin libgvc6 libgvpr2
  liblab-gamut1 libpathplan4 libxdot4 sqlite3
0 mis à jour, 36 nouvellement installés, 0 à enlever et 0 non mis à jour.
Inst android-liblog (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Inst android-libbase (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Inst android-libboringssl (8.1.0+r23-2 Debian:10.10/oldstable [amd64])
Inst android-libcrypto-utils (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Inst android-libcutils (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Inst android-libadb (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Inst adb (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Inst android-libunwind (8.1.0+r23-2 Debian:10.10/oldstable [amd64])
Inst android-libbacktrace (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Inst android-libetc1 (1:8.1.0+r23-2 Debian:10.10/oldstable [amd64])
Inst libf2fs5 (1.11.0-1.1 Debian:10.10/oldstable [amd64])
Inst libf2fs-format4 (1.11.0-1.1 Debian:10.10/oldstable [amd64])
Inst android-libsparse (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Inst android-libf2fs-utils (8.1.0+r23-2 Debian:10.10/oldstable [amd64])
Inst android-libutils (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Inst android-libziparchive (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Inst android-sdk-platform-tools-common (27.0.0+11+deb10u1 Debian:10.10/oldstable [all])
Inst f2fs-tools (1.11.0-1.1 Debian:10.10/oldstable [amd64])
Inst libcdt5 (2.40.1-6+deb10u1 Debian:10.10/oldstable, Debian-Security:10/oldstable [amd64])
Inst libcgraph6 (2.40.1-6+deb10u1 Debian:10.10/oldstable, Debian-Security:10/oldstable [amd64])
Inst libgts-0.7-5 (0.7.6+darcs121130-4 Debian:10.10/oldstable [amd64])
Inst libpathplan4 (2.40.1-6+deb10u1 Debian:10.10/oldstable, Debian-Security:10/oldstable [amd64])
Inst libxdot4 (2.40.1-6+deb10u1 Debian:10.10/oldstable, Debian-Security:10/oldstable [amd64])
Inst libgvc6 (2.40.1-6+deb10u1 Debian:10.10/oldstable, Debian-Security:10/oldstable [amd64])
Inst libgvpr2 (2.40.1-6+deb10u1 Debian:10.10/oldstable, Debian-Security:10/oldstable [amd64])
Inst liblab-gamut1 (2.40.1-6+deb10u1 Debian:10.10/oldstable, Debian-Security:10/oldstable [amd64])
Inst graphviz (2.40.1-6+deb10u1 Debian:10.10/oldstable, Debian-Security:10/oldstable [amd64])
Inst dmtracedump (8.1.0+r23-3 Debian:10.10/oldstable [amd64])
Inst etc1tool (8.1.0+r23-1 Debian:10.10/oldstable [amd64])
Inst fastboot (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Inst hprof-conv (8.1.0+r23-2 Debian:10.10/oldstable [amd64])
Inst sqlite3 (3.27.2-3+deb10u1 Debian:10.10/oldstable [amd64])
Inst android-sdk-platform-tools (27.0.0+11+deb10u1 Debian:10.10/oldstable [amd64])
Inst android-tools-adb (1:8.1.0+r23-5 Debian:10.10/oldstable [all])
Inst android-tools-fastboot (1:8.1.0+r23-5 Debian:10.10/oldstable [all])
Inst libgts-bin (0.7.6+darcs121130-4 Debian:10.10/oldstable [amd64])
Conf android-liblog (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Conf android-libbase (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Conf android-libboringssl (8.1.0+r23-2 Debian:10.10/oldstable [amd64])
Conf android-libcrypto-utils (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Conf android-libcutils (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Conf android-libadb (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Conf adb (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Conf android-libunwind (8.1.0+r23-2 Debian:10.10/oldstable [amd64])
Conf android-libbacktrace (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Conf android-libetc1 (1:8.1.0+r23-2 Debian:10.10/oldstable [amd64])
Conf libf2fs5 (1.11.0-1.1 Debian:10.10/oldstable [amd64])
Conf libf2fs-format4 (1.11.0-1.1 Debian:10.10/oldstable [amd64])
Conf android-libsparse (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Conf android-libf2fs-utils (8.1.0+r23-2 Debian:10.10/oldstable [amd64])
Conf android-libutils (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Conf android-libziparchive (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Conf android-sdk-platform-tools-common (27.0.0+11+deb10u1 Debian:10.10/oldstable [all])
Conf f2fs-tools (1.11.0-1.1 Debian:10.10/oldstable [amd64])
Conf libcdt5 (2.40.1-6+deb10u1 Debian:10.10/oldstable, Debian-Security:10/oldstable [amd64])
Conf libcgraph6 (2.40.1-6+deb10u1 Debian:10.10/oldstable, Debian-Security:10/oldstable [amd64])
Conf libgts-0.7-5 (0.7.6+darcs121130-4 Debian:10.10/oldstable [amd64])
Conf libpathplan4 (2.40.1-6+deb10u1 Debian:10.10/oldstable, Debian-Security:10/oldstable [amd64])
Conf libxdot4 (2.40.1-6+deb10u1 Debian:10.10/oldstable, Debian-Security:10/oldstable [amd64])
Conf libgvc6 (2.40.1-6+deb10u1 Debian:10.10/oldstable, Debian-Security:10/oldstable [amd64])
Conf libgvpr2 (2.40.1-6+deb10u1 Debian:10.10/oldstable, Debian-Security:10/oldstable [amd64])
Conf liblab-gamut1 (2.40.1-6+deb10u1 Debian:10.10/oldstable, Debian-Security:10/oldstable [amd64])
Conf graphviz (2.40.1-6+deb10u1 Debian:10.10/oldstable, Debian-Security:10/oldstable [amd64])
Conf dmtracedump (8.1.0+r23-3 Debian:10.10/oldstable [amd64])
Conf etc1tool (8.1.0+r23-1 Debian:10.10/oldstable [amd64])
Conf fastboot (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Conf hprof-conv (8.1.0+r23-2 Debian:10.10/oldstable [amd64])
Conf sqlite3 (3.27.2-3+deb10u1 Debian:10.10/oldstable [amd64])
Conf android-sdk-platform-tools (27.0.0+11+deb10u1 Debian:10.10/oldstable [amd64])
Conf android-tools-adb (1:8.1.0+r23-5 Debian:10.10/oldstable [all])
Conf android-tools-fastboot (1:8.1.0+r23-5 Debian:10.10/oldstable [all])
Conf libgts-bin (0.7.6+darcs121130-4 Debian:10.10/oldstable [amd64])
 



sqlite3 est il vraiment nécessaire ?
Avec l'option --no-install-recommends sqlite n'est pas installé, donc c'est mieux si j'installe de cette manière ?

sudo apt -s --no-install-recommends install android-tools-adb android-tools-fastboot
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Les paquets supplémentaires suivants seront installés :
  adb android-libadb android-libbacktrace android-libbase android-libboringssl android-libcrypto-utils android-libcutils android-libf2fs-utils android-liblog
  android-libsparse android-libunwind android-libutils android-libziparchive fastboot libf2fs-format4 libf2fs5
Paquets recommandés :
  android-sdk-platform-tools-common android-sdk-platform-tools
Les NOUVEAUX paquets suivants seront installés :
  adb android-libadb android-libbacktrace android-libbase android-libboringssl android-libcrypto-utils android-libcutils android-libf2fs-utils android-liblog
  android-libsparse android-libunwind android-libutils android-libziparchive android-tools-adb android-tools-fastboot fastboot libf2fs-format4 libf2fs5
0 mis à jour, 18 nouvellement installés, 0 à enlever et 0 non mis à jour.
Inst android-liblog (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Inst android-libbase (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Inst android-libboringssl (8.1.0+r23-2 Debian:10.10/oldstable [amd64])
Inst android-libcrypto-utils (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Inst android-libcutils (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Inst android-libadb (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Inst adb (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Inst android-libunwind (8.1.0+r23-2 Debian:10.10/oldstable [amd64])
Inst android-libbacktrace (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Inst libf2fs5 (1.11.0-1.1 Debian:10.10/oldstable [amd64])
Inst libf2fs-format4 (1.11.0-1.1 Debian:10.10/oldstable [amd64])
Inst android-libsparse (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Inst android-libf2fs-utils (8.1.0+r23-2 Debian:10.10/oldstable [amd64])
Inst android-libutils (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Inst android-libziparchive (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Inst android-tools-adb (1:8.1.0+r23-5 Debian:10.10/oldstable [all])
Inst fastboot (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Inst android-tools-fastboot (1:8.1.0+r23-5 Debian:10.10/oldstable [all])
Conf android-liblog (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Conf android-libbase (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Conf android-libboringssl (8.1.0+r23-2 Debian:10.10/oldstable [amd64])
Conf android-libcrypto-utils (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Conf android-libcutils (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Conf android-libadb (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Conf adb (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Conf android-libunwind (8.1.0+r23-2 Debian:10.10/oldstable [amd64])
Conf android-libbacktrace (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Conf libf2fs5 (1.11.0-1.1 Debian:10.10/oldstable [amd64])
Conf libf2fs-format4 (1.11.0-1.1 Debian:10.10/oldstable [amd64])
Conf android-libsparse (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Conf android-libf2fs-utils (8.1.0+r23-2 Debian:10.10/oldstable [amd64])
Conf android-libutils (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Conf android-libziparchive (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Conf android-tools-adb (1:8.1.0+r23-5 Debian:10.10/oldstable [all])
Conf fastboot (1:8.1.0+r23-5 Debian:10.10/oldstable [amd64])
Conf android-tools-fastboot (1:8.1.0+r23-5 Debian:10.10/oldstable [all])
 

En ligne

#2 20-09-2021 19:37:14

Tawal
Membre
Distrib. : Debian 11 Bullseye
Noyau : Linux 5.10.0-9-amd64
(G)UI : Xfce
Inscription : 25-02-2021

Re : Installer fastboot

Hello,

Oui tout à fait, tu peux commencer l'installation sans les paquets recommandés.
Si ça fonctionne, ne rajoute rien sinon tu sais quels paquets installer.

Ce que je trouve bizarre, c'est que sqlite3 n'apparaît pas comme paquet recommandé dans ton 2ième retour !
C'est peut-être un paquet recommandé d'un paquet recommandé big_smile

Edit:
C'est bien ce que je pensais, voici mon retour avec les paquets recommandés :

sudo apt -s install android-tools-adb android-tools-fastboot


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait      
Note : sélection de « adb » au lieu de « android-tools-adb »
Note : sélection de « fastboot » au lieu de « android-tools-fastboot »
Les paquets supplémentaires suivants seront installés :
  android-libadb android-libbase android-libboringssl android-libcrypto-utils android-libcutils android-libext4-utils android-liblog
  android-libsparse android-libunwind android-libziparchive android-sdk-platform-tools-common
Paquets suggérés :
  android-sdk-platform-tools
Les NOUVEAUX paquets suivants seront installés :
  adb android-libadb android-libbase android-libboringssl android-libcrypto-utils android-libcutils android-libext4-utils android-liblog
  android-libsparse android-libunwind android-libziparchive android-sdk-platform-tools-common fastboot
0 mis à jour, 13 nouvellement installés, 0 à enlever et 0 non mis à jour.
Inst android-liblog (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Inst android-libbase (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Inst android-libboringssl (10.0.0+r36-1 Debian:11.0/stable [amd64])
Inst android-libcrypto-utils (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Inst android-libcutils (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Inst android-libadb (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Inst android-sdk-platform-tools-common (28.0.2+3 Debian:11.0/stable [all])
Inst adb (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Inst android-libext4-utils (10.0.0+r36+ds-2 Debian:11.0/stable [amd64])
Inst android-libsparse (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Inst android-libunwind (10.0.0+r36-4 Debian:11.0/stable [amd64])
Inst android-libziparchive (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Inst fastboot (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Conf android-liblog (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Conf android-libbase (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Conf android-libboringssl (10.0.0+r36-1 Debian:11.0/stable [amd64])
Conf android-libcrypto-utils (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Conf android-libcutils (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Conf android-libadb (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Conf android-sdk-platform-tools-common (28.0.2+3 Debian:11.0/stable [all])
Conf adb (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Conf android-libext4-utils (10.0.0+r36+ds-2 Debian:11.0/stable [amd64])
Conf android-libsparse (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Conf android-libunwind (10.0.0+r36-4 Debian:11.0/stable [amd64])
Conf android-libziparchive (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Conf fastboot (1:10.0.0+r36-7 Debian:11.0/stable [amd64])


Pas de sqlite3 !

Edit2:
Voici le retour de la simulation d'installation du paquet suggéré : android-sdk-platform-tools

sudo apt -s install android-sdk-platform-tools


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait      
Les paquets supplémentaires suivants seront installés :
  adb android-libadb android-libbase android-libboringssl android-libcrypto-utils android-libcutils android-libetc1 android-libext4-utils
  android-liblog android-libsparse android-libunwind android-libziparchive android-sdk-platform-tools-common dmtracedump etc1tool f2fs-tools
  fastboot hprof-conv sqlite3
Paquets suggérés :
  sqlite3-doc
Les NOUVEAUX paquets suivants seront installés :
  adb android-libadb android-libbase android-libboringssl android-libcrypto-utils android-libcutils android-libetc1 android-libext4-utils
  android-liblog android-libsparse android-libunwind android-libziparchive android-sdk-platform-tools android-sdk-platform-tools-common
  dmtracedump etc1tool f2fs-tools fastboot hprof-conv sqlite3
0 mis à jour, 20 nouvellement installés, 0 à enlever et 0 non mis à jour.
Inst android-liblog (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Inst android-libbase (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Inst android-libboringssl (10.0.0+r36-1 Debian:11.0/stable [amd64])
Inst android-libcrypto-utils (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Inst android-libcutils (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Inst android-libadb (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Inst android-sdk-platform-tools-common (28.0.2+3 Debian:11.0/stable [all])
Inst adb (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Inst android-libetc1 (1:10.0.0+r36-1 Debian:11.0/stable [amd64])
Inst android-libext4-utils (10.0.0+r36+ds-2 Debian:11.0/stable [amd64])
Inst android-libsparse (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Inst android-libunwind (10.0.0+r36-4 Debian:11.0/stable [amd64])
Inst android-libziparchive (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Inst f2fs-tools (1.14.0-2 Debian:11.0/stable [amd64])
Inst dmtracedump (10.0.0+r36-3 Debian:11.0/stable [amd64])
Inst etc1tool (10.0.0+r36-1 Debian:11.0/stable [amd64])
Inst fastboot (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Inst hprof-conv (10.0.0+r36-1 Debian:11.0/stable [amd64])
Inst sqlite3 (3.34.1-3 Debian:11.0/stable [amd64])
Inst android-sdk-platform-tools (28.0.2+3 Debian:11.0/stable [amd64])
Conf android-liblog (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Conf android-libbase (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Conf android-libboringssl (10.0.0+r36-1 Debian:11.0/stable [amd64])
Conf android-libcrypto-utils (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Conf android-libcutils (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Conf android-libadb (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Conf android-sdk-platform-tools-common (28.0.2+3 Debian:11.0/stable [all])
Conf adb (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Conf android-libetc1 (1:10.0.0+r36-1 Debian:11.0/stable [amd64])
Conf android-libext4-utils (10.0.0+r36+ds-2 Debian:11.0/stable [amd64])
Conf android-libsparse (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Conf android-libunwind (10.0.0+r36-4 Debian:11.0/stable [amd64])
Conf android-libziparchive (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Conf f2fs-tools (1.14.0-2 Debian:11.0/stable [amd64])
Conf dmtracedump (10.0.0+r36-3 Debian:11.0/stable [amd64])
Conf etc1tool (10.0.0+r36-1 Debian:11.0/stable [amd64])
Conf fastboot (1:10.0.0+r36-7 Debian:11.0/stable [amd64])
Conf hprof-conv (10.0.0+r36-1 Debian:11.0/stable [amd64])
Conf sqlite3 (3.34.1-3 Debian:11.0/stable [amd64])
Conf android-sdk-platform-tools (28.0.2+3 Debian:11.0/stable [amd64])


sqlite3 est un paquet recommandé de android-sdk-platform-tools wink
android-sdk-platform-tools dépend de sqlite3 wink

Dernière modification par Tawal (20-09-2021 19:49:48)


Comme la science n'est pas infuse, elle se diffuse.
Useless Use of Cat Award
Filenames and Pathnames in Shell: How to do it Correctly
À chaque problème sa solution, à chaque solution son moyen, si pas de moyen, toujours le problème !

Hors ligne

#3 20-09-2021 23:16:51

bartaba
Membre
Distrib. : Debian Buster
Noyau : Linux 4.19.0-13-amd64
(G)UI : Mate
Inscription : 04-02-2014

Re : Installer fastboot

merci

En ligne

Pied de page des forums